# Get Orders

Retrieving information of all orders.

It's done by MugglePay payment page. ONLY use this if you want to build an in-house payment without redirecting.

***

## Definition

**GET** <https://api.mugglepay.com/v1/orders/>

## Query Params

| Param  | Type          | Required | Description                                       |
| ------ | ------------- | -------- | ------------------------------------------------- |
| status | `Status Type` |          | E.g. PAID. Default all statuses.                  |
| limit  | `integer`     |          | numbers of orders per page. Max: 50. Default: 10. |
| offset | `integer`     |          | starting item. Default: 0.                        |

## Example

```

curl -X GET \
  'https://api.mugglepay.com/v1/orders?limit=20&offset=10' \
  -H 'token: TOKEN_FROM_ADMIN_PORTAL'


```

## Result Format

### 200 OK

```
{
    "status": 200,
    "orders": [
        {
            "order_id": "xxx-b17d-4805-b311-b95cd2d66ad0",
            "user_id": 14109,
            "merchant_order_id": "Order #5630",
            "title": "Order 5630",
            "description": "Membership $0.15",
            "callback_url": "https://ecards.com/api/success",
            "cancel_url": "https://ecards.com/ecardstatus?status=cancel",
            "success_url": "https://ecards.com/ecardstatus?status=success",
            "token": "Ex1asdfasdf",
            "price_amount": 0.15,
            "price_currency": "USD",
            "receive_currency": "",
            "status": "NEW",
            "created_at": "2019-01-24T16:52:50.021Z",
            "updated_at": "2019-01-24T16:52:50.021Z",
            "deleted": 0
        },
        {
            "order_id": "xxx-7b0d-4b03-816f-e88a3c6bfa5c",
            "user_id": 14109,
            "merchant_order_id": "Order #5619",
            "title": "Order 5619",
            "description": "Membership $0.15",
            "callback_url": "https://ecards.com/api/success",
            "cancel_url": "https://ecards.com/ecardstatus?status=cancel",
            "success_url": "https://ecards.com/ecardstatus?status=success",
            "token": "Exdasdfasdf",
            "price_amount": 0.15,
            "price_currency": "USD",
            "receive_currency": "",
            "status": "PAID",
            "created_at": "2019-01-24T16:40:36.264Z",
            "updated_at": "2019-01-24T16:41:01.000Z",
            "deleted": 0
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mugglepay.com/order/getorders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
